%define name 		mozilla-livehttpheaders
%define version 	0.10
%define release		%mkrel 2.20050126.6
%define rname		livehttpheaders

Summary:	Plugin to access HTTP headers in Mozilla
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{rname}.tar.bz2
License:	GPL
Group:		Networking/WWW	
URL:		http://livehttpheaders.mozdev.org/index.html
BuildRoot:	%_tmppath/%name-%version-root
Buildrequires:	seamonkey-devel
BuildArch:	noarch

%{expand: %%define mozdir %(rpm -ql seamonkey-devel | grep xpidl | sed 's/\(.*\)\/xpidl.*$/\1/')}
%{expand: %%define mozver %(rpm -q seamonkey-devel | sed 's/seamonkey-devel-\([0-9].*\)-.*/\1/')}
Requires: seamonkey = %mozver

%description 
The goal of this project is to adds information about the HTTP headers in two
ways:
 * First by adding a 'Headers' tab in 'View Page Info' of a web page.
 * Second by adding a tool in the 'Tools->Web Development' menu to be able to
   display http headers in real time (while pages are being downloaded from
   the Internet.
 * Third by letting you edit request headers and replay an URL (beta). Look
   for the Replay button in the live window!

%prep
%setup -q -n %rname

%build

%install
rm -rf %buildroot
mkdir -p %buildroot%{mozdir}/chrome/livehttpheaders
cp -pr src/content src/skin src/locale %buildroot%{mozdir}/chrome/livehttpheaders/
mkdir -p %buildroot%{mozdir}/components/
cp -pr src/content/nsHeaderInfo.js %buildroot%{mozdir}/components/
cp -pr src/installed-chrome.cat %buildroot%{mozdir}/chrome/installed-chrome.cat.livehttpheaders

%post
cat %{mozdir}/chrome/installed-chrome.cat.livehttpheaders >> %{mozdir}/chrome/installed-chrome.txt
rm -f %{mozdir}/components/compreg.dat

%postun
rm -f %{mozdir}/chrome/installed-chrome.cat.livehttpheaders
grep -v livehttpheaders %{mozdir}/chrome/installed-chrome.txt > %{mozdir}/chrome/installed-chrome.txt.livehttpheaders 
mv -f %{mozdir}/chrome/installed-chrome.txt.livehttpheaders %{mozdir}/chrome/installed-chrome.txt
grep -v livehttpheaders %{mozdir}/chrome/overlayinfo/communicator/content/overlays.rdf > %{mozdir}/chrome/overlayinfo/communicator/content/overlays.rdf.livehttpheaders
mv -f %{mozdir}/chrome/overlayinfo/communicator/content/overlays.rdf.livehttpheaders %{mozdir}/chrome/overlayinfo/communicator/content/overlays.rdf
grep -v livehttpheaders %{mozdir}/chrome/overlayinfo/navigator/content/overlays.rdf > %{mozdir}/chrome/overlayinfo/navigator/content/overlays.rdf.livehttpheaders
mv -f %{mozdir}/chrome/overlayinfo/navigator/content/overlays.rdf.livehttpheaders %{mozdir}/chrome/overlayinfo/navigator/content/overlays.rdf
rm -f %{mozdir}/chrome/livehttpheaders.xpi %{mozdir}/components/nsHeaderInfo.js %{mozdir}/components/compreg.dat


%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
%doc src/thanks src/gpl.txt src/TODO.txt
%{mozdir}/*/*

%changelog
* Sat May 20 2006 Pascal Terjan <pterjan@mandriva.org> 0.10-2.20050126.6mdk
- Rebuild with seamonkey

* Tue Oct 04 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.10-2.20050126.5mdk
- Mozilla 1.7.12

* Mon Sep 05 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.10-2.20050126.4mdk
- Mozilla 1.7.11

* Thu Jul 07 2005 Pascal Terjan <pterjan@mandriva.org> 0.10-2.20050126.3mdk
- mozilla 1.7.8

* Mon Jun 06 2005 Pascal Terjan <pterjan@mandriva.org> 0.10-2.20050126.2mdk
- typo in %%mozver

* Fri May 27 2005 Pascal Terjan <pterjan@mandriva.org> 0.10-2.20050126.1mdk
- new mozilla
- don't require on release

* Wed Jan 26 2005 Pascal Terjan <pterjan@mandrake.org> 0.9-1.20050126.1mdk
- 0.10

* Mon Aug 30 2004 Pascal Terjan <pterjan@mandrake.org> 0.9-1.20040830.1mdk
- 0.9

* Sat Aug 28 2004 Pascal Terjan <pterjan@mandrake.org> 0.8-1.20031222.5mdk
- new mozilla

* Sun May 30 2004 Pascal Terjan <pterjan@mandrake.org> 0.8-1.20031222.4mdk
- new mozilla

* Sun May 30 2004 Pascal Terjan <pterjan@mandrake.org> 0.8-1.20031222.3mdk
- new mozilla

* Fri Feb 06 2004 Pascal Terjan <pterjan@mandrake.org> 0.8-1.20031222.2mdk
- new mozilla

* Mon Dec 22 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.8-1.20031222.1mdk
- new version

* Tue Dec 02 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.7-1.20031129.2mdk
- new mozilla

* Sat Nov 29 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.7-1.20031129.1mdk
- new version

* Fri Sep 05 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.6-1.20030627.5mdk
- remove release part in mozilla dependancy

* Sun Aug 31 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.6-1.20030627.4mdk
- new mozilla package

* Mon Jul 07 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.6-1.20030627.3mdk
- new mozilla package

* Fri Jul 04 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.6-1.20030627.2mdk
- new mozilla

* Fri Jun 27 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.6-1.20030627.1mdk
- first Mandrake package
